{-# LANGUAGE OverloadedStrings #-}
-- | Build time configuration used during code generation.
module GI.Gdk.Config ( overrides ) where

import qualified Data.Text as T
import Data.Text (Text)

-- | Overrides used when generating these bindings.
overrides :: Text
overrides = T.unlines
 [ "# In most APIs these are used as guint, but they are declared as gint."
 , "# See https://github.com/haskell-gi/haskell-gi/issues/58"
 , "set-attr Gdk/~KEY_.*@constant/@type name guint"]
